package bank;

public class GiroKonto extends Konto {
	protected double dispoKredit;
	protected double dispoZins;

	// berladen der Konstruktoren
	public GiroKonto(double betrag, double dispoKredit, double dispoZins) {
		super(betrag);
		this.dispoKredit = dispoKredit;
		this.dispoZins = dispoZins;

	}

	// Falls bei der Erzeugung des Objektes (mit new) kein Parameter
	// mitgeschickt wird,
	// wird trotzdem mit this auf den ersten Konstruktor zugegriffen und 3
	// Parameter vorgegeben
	public GiroKonto() {
		this(0, 4000, 12);
	}

	// berschreiben der Methode der Methode der Basisklasse
	public void auszahlen(double betrag) {
		if ((betrag > 0) && (betrag <= getKontoStand() + getDispoKredit()))
			kontoStand -= betrag;
		else
			System.out.println("Betrag nicht erlaubt");

	}

	public double berechneTageszinsen() {
		if (getKontoStand() >= 0)
			return 0;
		// Formel fr Tageszinsen
		else
			return (double) -getKontoStand() * getDispoZins() / 100 / 365;
	}

	public double getDispoKredit() {
		return dispoKredit;
	}

	public double getDispoZins() {
		return dispoZins;
	}

	public void setDispoKredit(double dispoKredit) {
		this.dispoKredit = dispoKredit;
	}

	public void setDispoZins(double dispoZins) {
		if ((dispoZins>0)&&(dispoZins <100))
		  this.dispoZins = dispoZins;
		else System.out.println("Falscher Prozentsatz!");
	}

}
