package bank;

import java.util.Scanner;

public class TestSpar {
	static SparKonto k = new SparKonto(100, 2.5);

	public static void main(String[] args) {
		// Anzeigen der Startwerte des Kontos
		anzeigenz();
		anzeigen();
		System.out.println("\nWas wird gewnscht?");
		// Weitere Mglichkeit fr neue Zeile \n (im String)
		int antwort;
		// Eingabeschleife fr das Menue
		do {
			System.out.printf("\n  [1] Einzahlen " + "\n  [2] Auszahlen "
					+ "\n  [3] Kontostand"
					+ "\n  [4] %5.2f%% Guthabenzinsen berechnen und gutschreiben"
					+ "\n  [0] Ende%n ",k.getZins());
			antwort = gibGanzeZahl(0, 4);
			menue(antwort);
		} while (antwort != 0);

	}

	public static void menue(int i) {
		switch (i) {
		case 1: {
			System.out.println("Wieviel  einzahlen?");
			k.einzahlen(gibGleitZahl());
			break;
		}
		case 2: {
			System.out.println("Wieviel  auszahlen?");
			k.auszahlen(gibGleitZahl());
			break;
		}

		case 3: {
			anzeigen();
			break;
		}

		case 4: {
			if (k.getKontoStand() > 0) {
				System.out.printf(
						"Seit wie viel Tagen haben Sie das Guthaben %6.2f?%n",
						k.getKontoStand());
				int tage = gibGanzeZahl(0, 365);
				double zinsen = k.berechneTageszinsenPlus() * tage;
				System.out.printf("Als Zinsen erhalten Sie %6.2f%n", zinsen);
				k.einzahlen(zinsen);
				System.out
						.printf("Neuer Kontostand %6.2f%n", k.getKontoStand());
			} else
				System.out.println("Kein Guthaben!");
			break;
		}

		default:
			break;
		}

	}

	public static void anzeigenz() {
		System.out.printf("Guthabenzins ist %6.2f%%%n", k.getZins());
	}

	public static void anzeigen() {
		System.out.printf("Auf dem Konto %d sind: %10.2f%n", k
				.getKontoNummer(), k.getKontoStand());
	}

	public static int gibGanzeZahl(int unterGrenze, int oberGrenze) {
		// Liefert ganze Zahl von unterGrenze bis oberGrenze zurck
		Scanner s = new Scanner(System.in);
		// Wegen der Schleifenabbruchbedingung erhlt i einen ganzzahligen Wert;
		// aber
		// auerhab des erlaubten Bereiches
		int i = unterGrenze - 1;
		;
		do {
			System.out.printf("Bitte eine "
					+ "ganze Zahl eingeben von %d bis %d%n", unterGrenze,
					oberGrenze);
			if (s.hasNextInt())
				i = s.nextInt();
			else
				s.nextLine();
		} while ((i < unterGrenze) || (i > oberGrenze));
		return i;

	}

	public static double gibGleitZahl() {
		Scanner s = new Scanner(System.in);
		// Wegen der Schleifenabbruchbedingung erhlt i einen ganzzahligen Wert;
		// aber
		// auerhab des erlaubten Bereiches
		double zahl = 0;
		boolean ok = false;
		do {
			System.out.println("Bitte eine Zahl eingeben ");
			if (s.hasNextDouble()) {
				zahl = s.nextDouble();
				ok = true;
			} else
				s.nextLine();
		} while (!ok);
		return zahl;

	}
}
