import java.util.Scanner;
public class Mischen {
	     static Scanner s = new Scanner (System.in); 
	     
	     static void feld_ein(int[] c) {
		    //Feldeingabemodul
		    for (int i = 0; i < c.length; i++)
		      c[i] = (int) Math.floor(Math.random()*10);
	    }
	     
	     static int feld_laenge(int ug,int og) {
	    	 // Untere und obere Grenze als bergabeparameter
	 		int n;
	 		do  {
	 			System.out.printf(" Ganze Zahl ab %d bis %d%n",ug,og);
	 			if (s.hasNextInt())
	 		      n = s.nextInt();
	 			else {s.nextLine();n = ug - 1;}
	 		}
	 		while ((n < ug) ||(n > og)) ; 
	 		return n;
	 	 } 
	
		 static void feld_aus(int[] c) {
			// Feldausgabemodul
			System.out.println();
			for(int i = 0; i <c.length; i++)
			   System.out.printf("%3d,",c[i]);
		 }
		
		 static void max_sort(int[] c)  {
			//Sortieren mit straight selection
			int max;
			int pos;
			int n = c.length;
			for (int i = n - 1; i > 0; i--)  {
				max = c[i];
				pos = i;
				for (int j = i - 1 ; j >= 0; j--)
				   if (c[j] > max)   {
				   	max = c[j];
				   	pos = j;
				   }
				c[pos] = c[i];
				c[i] = max;   
			}	    
		 }		
		
		 static int [] mischen (int[]a, int[] b ) {
		    //sortierte Felder mischen
		    // Feldlngen
		    int n = a.length;
		    int m = b.length;
		    // neues Feld erzeugen
		    int[] c = new int[n + m];
		    int i = 0;
		    int j = 0;
		    int k = 0;
		    // Jeweils prfen, welches Feldelement in c kommt
		    // Aufhren, wenn ein Feld alle Werte eingefgt hat;
		    // Dann muss man spter nur noch mit dem anderen Feld auufllen
		    while ((k < n + m) && (i != n) && (j != m))  {
		    	if (a[i] <= b[j])   {
		  		  c[k] = a[i];
		  		  i++;  		
		  	    }
		  	    else    {
		  		  c[k] = b[j];
		  		  j++;
		  	    }
		        k++;	
		    }
		  
		    // Wenn aus a schon alle Werte eingefgt sind, muss man nur noch die Werte aus b auffllen; etc.
		    // Die Wete der Laufvariablen k, i und j werden aus der While-Schleife bernommen.
		    if (i == n )
			  for (int l = k  ; l < (n + m); l++) {
				  c[l] = b[j];
				  j++;}
		    else
			  for (int l = k ; l < (n + m); l++) {
				  c[l] = a[i];
				  i++;}
		    return c;
		  
		 }
		
		
		 public static void main (String[] args)  {  
		    // Laenge der Felder erfragen (Eingabe Schleife)
		    System.out.printf("Wie lange ist das erste Feld? (hoechstens 20) %n");
		    int n = feld_laenge(1,20);
		    System.out.printf("Wie lange ist das zweite Feld? (hoechstens 20) %n");
		    int m = feld_laenge(1,20);
		   
		    // 2 Felder einrichten, einlesen und sortieren
		    int[] a = new int[n];
		    int[] b = new int[m];
	        feld_ein(a);
	        feld_ein(b);
	        System.out.printf("%nDie beiden unsortierten Felder%n");
		    feld_aus(a); 
		    feld_aus(b);
		    max_sort(a); 
		    max_sort(b);
		    System.out.printf("%nDie beiden sortierten Felder%n");
		    feld_aus(a);
		    feld_aus(b);
		    int[] c = new int[n+m];
		    // Zwei sortierte Felder mischen
		    c = mischen(a,b);
		    System.out.printf("%nDas sortierte Feld nach dem Mischen%n");
		    feld_aus(c);
		  
		}
		
	}



