package bank;

public class Konto {
	// beschreibt ein einfaches Grundkonto
	protected double kontoStand;
	protected int kontoNummer;

	// berladen der Konstruktoren
	public Konto(double betrag) {
		kontoStand = betrag;
		kontoNummer = 4711;
	}

	// Falls bei der Erzeugung des Objektes (mit new) kein Parameter
	// mitgeschickt wird,
	// wird trotzdem mit this auf den ersten Konstruktor zugegriffen und ein
	// Parameter vorgegeben
	public Konto() {
		this(0);
	}

	public void einzahlen(double betrag) {
		if (betrag > 0)
			// Kurzschreibweise fr kontoStand = kontostand + betrag;
			kontoStand += betrag;
		else
			System.out.println("Betrag ungeeignet");
	}

	public void auszahlen(double betrag) {
		// Kein Minus erlaubt!!!
		if ((betrag > 0) && (betrag <= getKontoStand()))
			kontoStand -= betrag;
		else
			System.out.println("Betrag nicht erlaubt");
	}

	public double getKontoStand() {
		return kontoStand;
	}

	public int getKontoNummer() {
		return kontoNummer;
	}

}
