package bank;

public class SparKonto extends Konto {
	private double zins;

	public SparKonto(double betrag, double zins) {
		super(betrag);
		setZins(zins);
	}

	public SparKonto() {
		super();
		zins = 1;

	}

	// berschreiben der Methode der Methode der Basisklasse
	public void auszahlen(double betrag) {
		if (betrag > 2000)
			System.out.println("Hchstens 2000 vom Sparbuch!");
		else
			// Die Methode der Basisklasse wird verwendet
			super.auszahlen(betrag);
		// Das Konto darf nicht komplett gerumt werden
		if (getKontoStand() < 1) {
			System.out.printf(
					"Der Kontostand wre %6.2f und muss wenigstens 1 sein%n",
					getKontoStand());
			System.out
					.printf("%6.2f werden einbezahlt%n", 1 - getKontoStand());
			einzahlen(1 - getKontoStand());
		}

	}

	public double berechneTageszinsenPlus() {
		if (getKontoStand() <= 0)
			return 0;
		// Formel fr Tageszinsen
		else
			return (double) getKontoStand() * getZins() / 100 / 365;
	}

	public double getZins() {
		return zins;
	}

	public void setZins(double zins) {
		this.zins = zins;
	}
}
