package bank;

import java.util.Scanner;

public class TestGiro {
	// static GiroKonto k =new GiroKonto(100,3000,10);
	static GiroKonto k = new GiroKonto();

	public static void main(String[] args) {
		// Anzeigen der Startwerte des Kontos
		anzeigend();
		anzeigen();
		System.out.println("\nWas wird gewnscht?");
		// Weitere Mglichkeit fr neue Zeile \n (im String)
		int antwort;
		// Eingabeschleife fr das Menue
		do {
			System.out
					.println("\nEinzahlen 1, Auszahlen 2, Kontostand 3, Dispozinsen berechnen und abziehen 4, Ende 0");
			antwort = gibGanzeZahl(0, 4);
			menue(antwort);
		} while (antwort != 0);

	}

	public static void menue(int i) {
		switch (i) {
		case 1: {
			System.out.println("Wieviel  einzahlen?");
			k.einzahlen(gibGleitZahl());
			break;
		}
		case 2: {
			System.out.println("Wieviel  auszahlen?");
			k.auszahlen(gibGleitZahl());
			break;
		}

		case 3: {
			anzeigen();
			break;
		}
		case 4: {
			if (k.getKontoStand() < 0) {
				System.out.printf(
						"Seit wie viel Tagen sind Sie mit %6.2f im Soll?%n", k
								.getKontoStand());
				int tage = gibGanzeZahl(0, 365);
				double zinsen = k.berechneTageszinsen() * tage;
				System.out.printf("An Zinsgebhren fallen an %6.2f%n", zinsen);
				k.auszahlen(zinsen);
				System.out
						.printf("Neuer Kontostand %6.2f%n", k.getKontoStand());
			} else
				System.out.println("Kein Minus!");
			break;
		}

		default:
			break;
		}

	}

	public static void anzeigend() {
		System.out
				.printf(
						"Dipositionskredit ist: %10.2f, Dispositionszins ist %6.2f%%%n",
						k.getDispoKredit(), k.getDispoZins());
	}

	public static void anzeigen() {
		System.out.printf("Auf dem Konto %d sind: %10.2f%n", k
				.getKontoNummer(), k.getKontoStand());
	}

	public static int gibGanzeZahl(int unterGrenze, int oberGrenze) {
		// Liefert ganze Zahl von unterGrenze bis oberGrenze zurck
		Scanner s = new Scanner(System.in);
		// Wegen der Schleifenabbruchbedingung erhlt i einen ganzzahligen Wert;
		// aber
		// auerhab des erlaubten Bereiches
		int i = unterGrenze - 1;
		;
		do {
			System.out.printf("Bitte eine "
					+ "ganze Zahl eingeben von %d bis %d%n", unterGrenze,
					oberGrenze);
			if (s.hasNextInt())
				i = s.nextInt();
			else
				s.nextLine();
		} while ((i < unterGrenze) || (i > oberGrenze));
		return i;

	}

	public static double gibGleitZahl() {
		Scanner s = new Scanner(System.in);
		double zahl = 0;
		boolean ok = false;
		do {
			System.out.println("Bitte eine Zahl eingeben ");
			if (s.hasNextDouble()) {
				zahl = s.nextDouble();
				ok = true;
			} else
				s.nextLine();
		} while (!ok);
		return zahl;

	}
}
